
if (GetLocale() == "zhCN" or GetLocale() == "zhTW") then
	if (IsConfigurableAddOn("MerInspect") or IsConfigurableAddOn("BigFootRating")) then
		if (GetLocale() == "zhCN") then
			MOD_INFO_STAT_TITLE = {"装备信息", "zhuangbeixinxi"};

			MOD_INFO_COMPARISON_STAT_COMPARE = "开启装备属性统计";
			MDO_INFO_ENABLE_DURABILITY = "显示装备耐久度";
			MDO_INFO_ENABLE_HIGHLIGHT = "高亮装备栏边框";
			MOD_INFO_BIGFOOT_RATING = "开启装备属性换算";
		elseif (GetLocale() == "zhTW") then
			MOD_INFO_STAT_TITLE = {"裝備信息", "zhuangbeixinxi"};

			MOD_INFO_COMPARISON_STAT_COMPARE = "啟用裝備屬性統計";
			MDO_INFO_ENABLE_DURABILITY = "顯示裝備耐久度";
			MDO_INFO_ENABLE_HIGHLIGHT = "高亮裝備欄邊框";
			MOD_INFO_BIGFOOT_RATING = "啟用裝備屬性換算";
		else
			MOD_INFO_STAT_TITLE = "Info Stat";

			MOD_INFO_COMPARISON_STAT_COMPARE = "Enable Equitment Stat";
			MDO_INFO_ENABLE_DURABILITY = "Display Durability";
			MDO_INFO_ENABLE_HIGHLIGHT = "High light border";
			MOD_INFO_BIGFOOT_RATING = "Enable BigFoot Rating";
		end

		ModManagement_RegisterMod(
			"InfoStat",
			"Interface\\Icons\\INV_Jewelry_Necklace_22",
			MOD_INFO_STAT_TITLE,
			"",
			nil
		);

		if (IsConfigurableAddOn("MerInspect")) then
			ModManagement_RegisterCheckBox(
				"InfoStat",
				MOD_INFO_COMPARISON_STAT_COMPARE,
				nil,
				"EnableMerInspect",
				1,
				function (arg)
					if ( arg == 1 ) then
						if (not IsAddOnLoaded("MerInspect")) then
							LoadAddOn("MerInspect");
						end
						
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_Toggle(true);
						end
					else
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_Toggle(false);
						end
					end
				end
			);
			ModManagement_RegisterCheckBox(
				"InfoStat",
				MDO_INFO_ENABLE_DURABILITY,
				nil,
				"DisplayDurability",
				0,
				function (arg)
					if ( arg == 1 ) then				
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_ToogleD(true);
						end
					else
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_ToogleD(false);
						end
					end
				end,
				1
			);
			ModManagement_RegisterCheckBox(
				"InfoStat",
				MDO_INFO_ENABLE_HIGHLIGHT,
				nil,
				"DisplayItemQulity",
				1,
				function (arg)
					if ( arg == 1 ) then				
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_ToogleH(true);
						end
					else
						if (IsAddOnLoaded("MerInspect")) then
							MerInspect_ToogleH(false);
						end
					end
				end,
				1
			);
		end

		if (IsConfigurableAddOn("BigFootRating")) then
			ModManagement_RegisterCheckBox(
				"InfoStat",
				MOD_INFO_BIGFOOT_RATING,
				nil,
				"BigFoot Rating",
				1,
				function (arg)
					if ( arg == 1 ) then
						if (not IsAddOnLoaded("BigFootRating")) then
							LoadAddOn("BigFootRating");
						end

						if (IsAddOnLoaded("BigFootRating")) then
							BigFootRating_Toogle(true);
						end
					else
						if (IsAddOnLoaded("BigFootRating")) then
							BigFootRating_Toogle(false);
						end
					end
				end		
			);
		end	
	end
end
